Συζήτηση
Γεια χαρά, Επισκέπτης
Όνομα χρήστη: Κωδικός: Να με θυμάσαι

ΘΕΜΑ: Προβλήμα με το quandl

Προβλήμα με το quandl 1 Χρόνος 8 Μήνες πριν #3913

  • menipos
  • Το Άβαταρ του/της menipos
  • Αποσυνδεμένος
  • p_____
  • Δημοσιεύσεις: 2
Install pip3 install quandl -returns Failed cleaning build dir for cryptography

1ον καλώς σας βρήκα είμαι καινούργιος στην κοινότητα και στην Python, γενικά όμως έχω μια σχετική πείρα στην R , C\C++ και linux user. Ασχολούμαι με data mining και machine learning.

Το πρόβλημα
Πάω να εγκαταστήσω την quandl και επιστρέφει σε ένα module cryptography Failed cleaning build dir for cryptography.

Έχω

Ubuntu 16.04 LTS
Python 3.5
pip 8.1.1.
cffi 1.8.3
IDE PyCharm 2.3 (δεν νομίζω και να αφορά το προβλήμα απλά το αναφέρω)

Έχω ελέγξει το άρθρο Python Cryptography package with PIP and setup.py -
Ο σύνδεσμος του άρθρου
stackoverflow.com/questions/22073516/fai...ith-pip-and-setup-py

Και προσπάθησα να περασω ένα,ένα τα πακετά. Όλα καλά μέχρι που φτάνει στο cryptography,εκεί πάλι το ίδιο πρόβλημα.
Έχω βάλει τις τελευταίες εκδόσεις απο όλες τις μονάδες(modules) όπως (setuptools e.t.c.)
Φένεται απο τα λίγα που ξέρω απο Python και κατάλαβα ότι προσπαθεί να κάνει build σε κάποιο αρχείο και σε κάποιον constructor (λόγο ότι βαράει σε object me __init__ σε κάποιο πηγαίο αρχείο dist.py ποιο συγκεκριμένα in __init__ _Distribution.__init__(self,attrs) και __init__ self.finalize_options()) και έχει κάποιο ατέριαστο version AssertionError: version mismatch, 1.5.2 != 1.8.3. (αυτό προφανώς είναι το cffi) παραπάνω δεν κατάλαβα και δεν ρισκάρα να το πειράξω γιατί δεν είμαι και το πρώτο ξεφτέρι στην Python.

To Σφάλμα που εμφανίζει

File "/tmp/pip-build-nrsep1ln/cryptography/src/_cffi_src/utils.py", line 69, in build_ffi
ffi = FFI()
File "/home/alex/.local/lib/python3.5/site-packages/cffi/api.py", line 59, in __init__
"version mismatch, %s != %s" % (backend.__version__, __version__)
AssertionError: version mismatch, 1.5.2 != 1.8.3

Η ΕΚΔΟΣΗ cffi ΠΟΥ ΕΧΩ

Collecting cffi - see cffi.readthedocs.io/en/latest/installation.html

Using cached cffi-1.8.3-cp35-cp35m-manylinux1_x86_64.whl
Collecting pycparser (from cffi)
Installing collected packages: pycparser, cffi
Successfully installed cffi-1.8.3 pycparser-2.16

ΤΟ ΙΣΤΟΡΙΚΟ ΕΝΤΟΛΩΝ ΣΤΗΝ ΚΟΝΣΟΛΑ ΜΕ ΤΟ ΣΦΑΛΜΑ

pip3 install quandl
Collecting quandl
Using cached Quandl-3.0.1-py2.py3-none-any.whl
Collecting numpy>=1.8 (from quandl)
Using cached numpy-1.11.2-cp35-cp35m-manylinux1_x86_64.whl
Collecting more-itertools (from quandl)
Collecting inflection>=0.3.1 (from quandl)
Collecting pyOpenSSL (from quandl)
Using cached pyOpenSSL-16.2.0-py2.py3-none-any.whl
Collecting six (from quandl)
Using cached six-1.10.0-py2.py3-none-any.whl
Collecting python-dateutil (from quandl)
Using cached python_dateutil-2.5.3-py2.py3-none-any.whl
Collecting pyasn1 (from quandl)
Using cached pyasn1-0.1.9-py2.py3-none-any.whl
Collecting pandas>=0.14 (from quandl)
Using cached pandas-0.19.0-cp35-cp35m-manylinux1_x86_64.whl
Collecting requests>=2.7.0 (from quandl)
Using cached requests-2.11.1-py2.py3-none-any.whl
Collecting ndg-httpsclient (from quandl)
Collecting cryptography>=1.3.4 (from pyOpenSSL->quandl)
Using cached cryptography-1.5.2.tar.gz
Collecting pytz>=2011k (from pandas>=0.14->quandl)
Using cached pytz-2016.7-py2.py3-none-any.whl
Collecting idna>=2.0 (from cryptography>=1.3.4->pyOpenSSL->quandl)
Using cached idna-2.1-py2.py3-none-any.whl
Collecting setuptools>=11.3 (from cryptography>=1.3.4->pyOpenSSL->quandl)
Using cached setuptools-28.6.1-py2.py3-none-any.whl
Collecting cffi>=1.4.1 (from cryptography>=1.3.4->pyOpenSSL->quandl)
Using cached cffi-1.8.3-cp35-cp35m-manylinux1_x86_64.whl
Collecting pycparser (from cffi>=1.4.1->cryptography>=1.3.4->pyOpenSSL->quandl)
Building wheels for collected packages: cryptography
Running setup.py bdist_wheel for cryptography ... error
Complete output from command /usr/bin/python3 -u -c "import setuptools, tokenize;__file__='/tmp/pip-build-nrsep1ln/cryptography/setup.py';exec(compile(getattr(tokenize, 'open', open)(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" bdist_wheel -d /tmp/tmp79dm6ulvpip-wheel- --python-tag cp35:
Traceback (most recent call last):
File "<string>", line 1, in <module>
File "/tmp/pip-build-nrsep1ln/cryptography/setup.py", line 334, in <module>
**keywords_with_side_effects(sys.argv)
File "/usr/lib/python3.5/distutils/core.py", line 108, in setup
_setup_distribution = dist = klass(attrs)
File "/usr/lib/python3/dist-packages/setuptools/dist.py", line 272, in __init__
_Distribution.__init__(self,attrs)
File "/usr/lib/python3.5/distutils/dist.py", line 281, in __init__
self.finalize_options()
File "/usr/lib/python3/dist-packages/setuptools/dist.py", line 327, in finalize_options
ep.load()(self, ep.name, value)
File "/home/alex/.local/lib/python3.5/site-packages/cffi/setuptools_ext.py", line 181, in cffi_modules
add_cffi_module(dist, cffi_module)
File "/home/alex/.local/lib/python3.5/site-packages/cffi/setuptools_ext.py", line 48, in add_cffi_module
execfile(build_file_name, mod_vars)
File "/home/alex/.local/lib/python3.5/site-packages/cffi/setuptools_ext.py", line 24, in execfile
exec(code, glob, glob)
File "src/_cffi_src/build_openssl.py", line 81, in <module>
extra_link_args=extra_link_args(compiler_type()),
File "/tmp/pip-build-nrsep1ln/cryptography/src/_cffi_src/utils.py", line 61, in build_ffi_for_binding
extra_link_args=extra_link_args,
File "/tmp/pip-build-nrsep1ln/cryptography/src/_cffi_src/utils.py", line 69, in build_ffi
ffi = FFI()
File "/home/alex/.local/lib/python3.5/site-packages/cffi/api.py", line 59, in __init__
"version mismatch, %s != %s" % (backend.__version__, __version__)
AssertionError: version mismatch, 1.5.2 != 1.8.3

Failed building wheel for cryptography
Running setup.py clean for cryptography
Complete output from command /usr/bin/python3 -u -c "import setuptools, tokenize;__file__='/tmp/pip-build-nrsep1ln/cryptography/setup.py';exec(compile(getattr(tokenize, 'open', open)(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" clean --all:
Traceback (most recent call last):
File "<string>", line 1, in <module>
File "/tmp/pip-build-nrsep1ln/cryptography/setup.py", line 334, in <module>
**keywords_with_side_effects(sys.argv)
File "/usr/lib/python3.5/distutils/core.py", line 108, in setup
_setup_distribution = dist = klass(attrs)
File "/usr/lib/python3/dist-packages/setuptools/dist.py", line 272, in __init__
_Distribution.__init__(self,attrs)
File "/usr/lib/python3.5/distutils/dist.py", line 281, in __init__
self.finalize_options()
File "/usr/lib/python3/dist-packages/setuptools/dist.py", line 327, in finalize_options
ep.load()(self, ep.name, value)
File "/home/alex/.local/lib/python3.5/site-packages/cffi/setuptools_ext.py", line 181, in cffi_modules
add_cffi_module(dist, cffi_module)
File "/home/alex/.local/lib/python3.5/site-packages/cffi/setuptools_ext.py", line 48, in add_cffi_module
execfile(build_file_name, mod_vars)
File "/home/alex/.local/lib/python3.5/site-packages/cffi/setuptools_ext.py", line 24, in execfile
exec(code, glob, glob)
File "src/_cffi_src/build_openssl.py", line 81, in <module>
extra_link_args=extra_link_args(compiler_type()),
File "/tmp/pip-build-nrsep1ln/cryptography/src/_cffi_src/utils.py", line 61, in build_ffi_for_binding
extra_link_args=extra_link_args,
File "/tmp/pip-build-nrsep1ln/cryptography/src/_cffi_src/utils.py", line 69, in build_ffi
ffi = FFI()
File "/home/alex/.local/lib/python3.5/site-packages/cffi/api.py", line 59, in __init__
"version mismatch, %s != %s" % (backend.__version__, __version__)
AssertionError: version mismatch, 1.5.2 != 1.8.3

Failed cleaning build dir for cryptography
Failed to build cryptography
Installing collected packages: numpy, more-itertools, inflection, idna, pyasn1, six, setuptools, pycparser, cffi, cryptography, pyOpenSSL, python-dateutil, pytz, pandas, requests, ndg-httpsclient, quandl
Running setup.py install for cryptography ... error
Complete output from command /usr/bin/python3 -u -c "import setuptools, tokenize;__file__='/tmp/pip-build-nrsep1ln/cryptography/setup.py';exec(compile(getattr(tokenize, 'open', open)(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install --record /tmp/pip-qz2rogd_-record/install-record.txt --single-version-externally-managed --compile --user --prefix=:
Traceback (most recent call last):
File "<string>", line 1, in <module>
File "/tmp/pip-build-nrsep1ln/cryptography/setup.py", line 334, in <module>
**keywords_with_side_effects(sys.argv)
File "/usr/lib/python3.5/distutils/core.py", line 108, in setup
_setup_distribution = dist = klass(attrs)
File "/usr/lib/python3/dist-packages/setuptools/dist.py", line 272, in __init__
_Distribution.__init__(self,attrs)
File "/usr/lib/python3.5/distutils/dist.py", line 281, in __init__
self.finalize_options()
File "/usr/lib/python3/dist-packages/setuptools/dist.py", line 327, in finalize_options
ep.load()(self, ep.name, value)
File "/home/alex/.local/lib/python3.5/site-packages/cffi/setuptools_ext.py", line 181, in cffi_modules
add_cffi_module(dist, cffi_module)
File "/home/alex/.local/lib/python3.5/site-packages/cffi/setuptools_ext.py", line 48, in add_cffi_module
execfile(build_file_name, mod_vars)
File "/home/alex/.local/lib/python3.5/site-packages/cffi/setuptools_ext.py", line 24, in execfile
exec(code, glob, glob)
File "src/_cffi_src/build_openssl.py", line 81, in <module>
extra_link_args=extra_link_args(compiler_type()),
File "/tmp/pip-build-nrsep1ln/cryptography/src/_cffi_src/utils.py", line 61, in build_ffi_for_binding
extra_link_args=extra_link_args,
File "/tmp/pip-build-nrsep1ln/cryptography/src/_cffi_src/utils.py", line 69, in build_ffi
ffi = FFI()
File "/home/alex/.local/lib/python3.5/site-packages/cffi/api.py", line 59, in __init__
"version mismatch, %s != %s" % (backend.__version__, __version__)
AssertionError: version mismatch, 1.5.2 != 1.8.3

Command "/usr/bin/python3 -u -c "import setuptools, tokenize;__file__='/tmp/pip-build-nrsep1ln/cryptography/setup.py';exec(compile(getattr(tokenize, 'open', open)(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install --record /tmp/pip-qz2rogd_-record/install-record.txt --single-version-externally-managed --compile --user --prefix=" failed with error code 1 in /tmp/pip-build-nrsep1ln/cryptography/

Παρακαλώ όποιος μπορεί ας βοηθήσει.
Ευχαριστώ
Πρέπει να είστε εγγεγραμμένο μέλος του Φόρουμ για να κάνετε μια δημοσίευση.

Προβλήμα με το quandl 1 Χρόνος 8 Μήνες πριν #3914

  • pmav99
  • Το Άβαταρ του/της pmav99
  • Αποσυνδεμένος
  • Author
  • Δημοσιεύσεις: 674
  • Ληφθείσες Ευχαριστίες 109
Πρέπει να είστε εγγεγραμμένο μέλος του Φόρουμ για να κάνετε μια δημοσίευση.
Οι ακόλουθοι χρήστες είπαν "Σε Ευχαριστώ": menipos

Προβλήμα με το quandl 1 Χρόνος 8 Μήνες πριν #3915

  • menipos
  • Το Άβαταρ του/της menipos
  • Αποσυνδεμένος
  • p_____
  • Δημοσιεύσεις: 2
Ευχαριστώ για την απάντηση και την γρήγορη ανταπόκριση. Η απάντηση στην θεωρία είναι ικανοποιητική αλλά όταν δοκίμασα να δω τι θα κάνει στην πράξη το cffi ως apt-get install python-cffi το εγκαθηστά κανονικά αλλά το cryptography όχι, εμφανίζει το ίδιο πρόβλημα. Τώρα πια είναι τα build time components from Debian και τα ξέχωρα run time ούτε που ξέρω, δεν είμαι OS expert(λογικά και με κάθε επιφύλαξη πιθανών κάποια components που κάνεις build και make και τα run time καποια που τρέχουν virtual σε κάποια runtime μηχανή όπως π.χ. της java λογικά και ίσως με binary).

Ευχαριστώ πάντως για την απάντηση και την γρήγορη ανταπόκριση καθώς και για τον χρόνο!!!Είναι σημαντική για εμένα αυτή η προσπάθεια.
Τελευταία διόρθωση: 1 Χρόνος 8 Μήνες πριν από menipos. Αιτία: προσθήκη
Πρέπει να είστε εγγεγραμμένο μέλος του Φόρουμ για να κάνετε μια δημοσίευση.

Προβλήμα με το quandl 1 Χρόνος 8 Μήνες πριν #3916

  • pmav99
  • Το Άβαταρ του/της pmav99
  • Αποσυνδεμένος
  • Author
  • Δημοσιεύσεις: 674
  • Ληφθείσες Ευχαριστίες 109
Δοκίμασε και ένα pip install -U cffi μπας και στρώσει.

Αν όχι, τότε προσωπικά μπόρεσα να εγκαταστήσω το cryptography σε clean installation του Ubuntu 16.04 ως εξής:
apt-get update
apt-get install -y --no-install-recommends --no-install-suggests python-dev python-pip build-essential libssl-dev libffi-dev 
pip install cryptography
Τελευταία διόρθωση: 1 Χρόνος 8 Μήνες πριν από pmav99.
Πρέπει να είστε εγγεγραμμένο μέλος του Φόρουμ για να κάνετε μια δημοσίευση.
Συντονιστές: pmav99
Χρόνος δημιουργίας σελίδας: 0.459 δευτερόλεπτα

Μοιράσου το!

Powered by CoalaWeb

Λίστα Ταχυδρομείου